Respond to an erasure/opt out/opt in request
When responding to an erasure request, use this PUT method to confirm completion of an erasure in your system.
Transcend_API_KeyAuthorizationBearer <token>authorization: Bearer <>
x-transcend-nonce*stringA reusable token sent in Transcend's webhook for this job, and returned by you when uploading the result of this job back to Transcend. Called a 'nonce' for legacy reasons, but is actually reusable.
content-type*stringSpecify content-type: application/json for a JSON response from the Transcend API.
application-jsonUnlike the POST method for access requests, Transcend does not require profileData. Transcend only requires the
application/json- body
profiles?array<>[DEPRECATED] An array of each of the profiles that were erased. You should not set this value if you are using multi tenant Sombra or have a Sombra version at or above 7.199.0. For recent versions of Sombra, the profile identifier is pulled from the nonce, which means you can pass an empty body.
1 <= itemsstatus?stringOverride the integration to be in a specific state. If status is set to "READY" or "RESOLVED", this will also mark all specified profiles as resolved.
"READY""RESOLVED""SKIPPED""SKIPPED_DUE_TO_EXCEPTION""ACTION_REQUIRED""WAITING"profileStatus?stringOverride the specified profiles to be in a specific state.
"RESOLVED""SKIPPED""SKIPPED_DUE_TO_EXCEPTION""WAITING""ERROR"pollId?stringIf this DSR is in a polling state, this field will contain the ID of the async job that is polling for the DSR. You can use this ID to check the status of the DSR in your system.
message?stringA message to include in the response to provide an update about the response. This is displayed in the Transcend dashboard. This can be an error message or a description about the current state of the request job.
retryAfterDate?stringA date in the future that indicates when the user can retry the request. This is used for workflows that are asynchronous or to indicate when an error should be retried.
date-timeYour request was received without an issue.
application/json- response
curl -X PUT 'https://multi-tenant.sombra.transcend.io/v1/data-silo' \ -H 'x-transcend-nonce: string' \ -H 'authorization: string' \ -H 'content-type: string' \ -H 'Content-Type: application/json' \ -d '{}'{}